import Flutter
import UIKit

public class SwiftUseCameraPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "useCamera", binaryMessenger: registrar.messenger())
    let instance = SwiftUseCameraPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if ("getPlatformVersion" == call.method) {
      result("iOS " + UIDevice.current.systemVersion)
    } else if ("useCamera" == call.method) {
      self.openCamera()
    } else {
      result(FlutterMethodNotImplemented);
    }
    
  }
  private func openCamera() {
        let vc:UIViewController = ViewController();
        self.navigationController?.pushViewController(vc, animated: true)
    }
}
